Class | Spec::Mocks::Space
In: | lib/spec/mocks/space.rb
Parent: | Object

### Methods

add reset_all verify_all

### Public Instance methods

add(obj)

[Source]

       # File lib/spec/mocks/space.rb, line 4
    4:       def add(obj)
    5:         mocks << obj unless mocks.detect {|m| m.equal? obj}
    6:       end

reset_all()

[Source]

        # File lib/spec/mocks/space.rb, line 14
    14:       def reset_all
    15:         mocks.each do |mock|
    16:           mock.rspec_reset
    17:         end
    18:         mocks.clear
    19:       end

verify_all()

[Source]

        # File lib/spec/mocks/space.rb, line 8
     8:       def verify_all
     9:         mocks.each do |mock|
    10:           mock.rspec_verify
    11:         end
    12:       end

[Validate]